From: Grant Likely <redacted>
If anything goes wrong when copying images into the install path, then
the install script should exit with an error code so that 'make' knows
about it and tells the user.
Signed-off-by: Grant Likely <redacted>
---
arch/powerpc/boot/install.sh | 3 +++
1 files changed, 3 insertions(+), 0 deletions(-)
diff --git a/arch/powerpc/boot/install.sh b/arch/powerpc/boot/install.sh
index 51b2387..98312d1 100644
--- a/arch/powerpc/boot/install.sh
+++ b/arch/powerpc/boot/install.sh
@@ -18,6 +18,9 @@
# $5 and more - kernel boot files; zImage*, uImage, cuImage.*, etc.
#
+# Bail with error code if anything goes wrong
+set -e
+
# User may have a custom install script
if [ -x ~/bin/${CROSS_COMPILE}installkernel ]; then exec ~/bin/${CROSS_COMPILE}installkernel "$@"; fi
Oops, forgot one. Here is a new request including the xilinxfb refactoring=
:
The following changes since commit baf75b0a42a1b3f6fca80f8949b6141eaff61b0d=
:
Stephen Rothwell (1):
powerpc/pci: Fix annotation of pcibios_claim_one_bus
are available in the git repository at:
git://git.secretlab.ca/git/linux-2.6 next
Grant Likely (1):
powerpc/virtex: refactor intc driver and add support for i8259 cascad=
ing
John Linn (1):
fbdev: Add PLB support and cleanup DCR in xilinxfb driver.
Roderick Colenbrander (3):
powerpc/virtex: Add support for Xilinx PCI host bridge
powerpc/virtex: Add Xilinx ML510 reference design support
powerpc/virtex: Add ml510 reference design device tree
arch/powerpc/boot/dts/virtex440-ml510.dts | 465 +++++++++++++++++++++++++=
++++
arch/powerpc/include/asm/xilinx_pci.h | 21 ++
arch/powerpc/platforms/40x/virtex.c | 2 +
arch/powerpc/platforms/44x/Kconfig | 13 +-
arch/powerpc/platforms/44x/Makefile | 1 +
arch/powerpc/platforms/44x/virtex.c | 2 +
arch/powerpc/platforms/44x/virtex_ml510.c | 29 ++
arch/powerpc/platforms/Kconfig | 4 +
arch/powerpc/sysdev/Makefile | 1 +
arch/powerpc/sysdev/xilinx_intc.c | 81 ++++--
arch/powerpc/sysdev/xilinx_pci.c | 132 ++++++++
drivers/video/xilinxfb.c | 290 ++++++++++---------
12 files changed, 883 insertions(+), 158 deletions(-)
create mode 100644 arch/powerpc/boot/dts/virtex440-ml510.dts
create mode 100644 arch/powerpc/include/asm/xilinx_pci.h
create mode 100644 arch/powerpc/platforms/44x/virtex_ml510.c
create mode 100644 arch/powerpc/sysdev/xilinx_pci.c
On Sat, Jun 6, 2009 at 10:39 AM, Grant Likely[off-list ref] wr=
ote:quoted hunk
From: Grant Likely <redacted>
If anything goes wrong when copying images into the install path, then
the install script should exit with an error code so that 'make' knows
about it and tells the user.
Signed-off-by: Grant Likely <redacted>
---
=A0arch/powerpc/boot/install.sh | =A0 =A03 +++
=A01 files changed, 3 insertions(+), 0 deletions(-)
diff --git a/arch/powerpc/boot/install.sh b/arch/powerpc/boot/install.sh
index 51b2387..98312d1 100644
--- a/arch/powerpc/boot/install.sh
+++ b/arch/powerpc/boot/install.sh
=A0# =A0 $5 and more - kernel boot files; zImage*, uImage, cuImage.*, etc=
.
=A0#
+# Bail with error code if anything goes wrong
+set -e
+
=A0# User may have a custom install script
=A0if [ -x ~/bin/${CROSS_COMPILE}installkernel ]; then exec ~/bin/${CROSS=
_COMPILE}installkernel "$@"; fi
--=20
Grant Likely, B.Sc., P.Eng.
Secret Lab Technologies Ltd.